@import url("variables/variables.css");
/* @import url('styleself.css'); */
@font-face {
  font-family: MTNBrighterSans-Regular;
  src: url(../selfservicefonts/MTNBrighterSans-Regular.eot?#iefix);
  src: url(../selfservicefonts/MTNBrighterSans-Regular.eot?#iefix) format("eot"),
    url(../selfservicefonts/MTNBrighterSans-Regular.woff) format("woff");
  font-weight: 400;
  font-weight: normal;
  font-style: normal;
}
.block-audio-snippet-block {
  padding-top: 2%;
}
.block-audio-snippet-block .loading-spinner {
  color: var(--foreground, #000);
}
.dark-design .block-audio-snippet-block .loading-spinner {
  /* background: #1b1a1a; */
  /* color: #e8e8e8; */
  color: #1b1a1a;
}
.block-audio-snippet-block .loading-spinner {
  /* background: #e8e8e8; */
  /* color: #1b1a1a; */
  color: #e8e8e8;
}

.audio-container {
  max-width: 1320px;
  margin: auto;
}
.mixTopic {
  color: var(--foreground, #000);
  font-size: var(--font-size-xl, 20px);
  font-style: normal;
  font-weight: 600;
  line-height: var(--font-line-height-7, 28px);
  letter-spacing: var(--font-letter-spacing-normal, 0);
}

.block-audio-snippet-block label {
  display: flex;
  align-items: center;
  color: var(--foreground, #000);
  font-size: var(--font-size-2xl, 24px);
  font-style: normal;
  font-weight: var(--font-weight-medium, 500);
  line-height: var(--font-line-height-8, 32px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
}
.block-audio-snippet-block label {
  margin-bottom: 20px;
}
.new-content-container {
  width: 100%;
  display: flex;
  align-items: center;
  overflow-x: auto;
  scrollbar-width: none;
  margin-bottom: 64px;
}
.music-content,
.new-content {
  padding: 8px;
}
.new-content img {
  width: 236px;
  height: 296px;
  border-radius: var(--Radius-rounded, 8px);
}
.block-audio-snippet-block p {
  color: var(--foreground, #000);
  font-size: var(--font-size-base, 16px);
  font-style: normal;
  font-weight: var(--font-weight-medium, 500);
  line-height: var(--font-line-height-6, 24px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
}
.audio-container span {
  color: #838383;
  font-size: var(--font-size-xs, 14px);
  font-style: normal;
  font-weight: var(--font-weight-normal, 400);
  line-height: var(--font-line-height-4, 20px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
}
.ads {
  height: 188px;
  border-radius: var(--Radius-rounded-md, 12px);
  margin-bottom: 64px;
}
.ads img {
  width: 100%;
  height: 100%;
}
.music-content img {
  width: 268px;
  height: 147px;
  border-radius: var(--Radius-rounded, 8px);
}

.carousel-container {
  padding-top: 24px;
  border-radius: var(--Radius-rounded-md, 12px);
  background: var(--muted-50, rgba(239, 239, 239, 0.5));
  margin-bottom: 64px;
}
.block-audio-snippet-block .carousel {
  overflow-x: auto;
  display: flex;
  gap: 31px;
  counter-reset: cardNumber;
}
.card:first-child {
  margin-left: 24px;
}
.block-audio-snippet-block .card {
  position: relative;
  width: 198px;
  height: 291px;
  flex-shrink: 0;
  background-size: cover;
  background-position: center;
  border-radius: 12px;
  flex-shrink: 0;
  counter-increment: cardNumber;
  margin-bottom: 24px;
}

.block-audio-snippet-block .card::before {
  content: counter(cardNumber);
  position: absolute;
  color: rgba(0, 0, 0, 0.2);
  -webkit-text-stroke: 2px black;
  font-size: 128px;
  font-style: normal;
  line-height: normal;
  left: -25px;
  bottom: -45px;
  z-index: 0;
  pointer-events: none;
}

.block-audio-snippet-block .card::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: 12px;
  background: rgba(0, 0, 0, 0.1);
}
.mix-container {
  width: 100%;
  margin-bottom: 62px;
}
.mixheader {
  display: flex;
  align-items: center;
  gap: 16px;
  margin-bottom: 24px;
}
.mixheader img {
  width: 57px;
  height: 60px;
  aspect-ratio: 19/20;
}
.dark-design .mixheader div {
  color: white;
}
.mixheader div {
  color: black;
}
.powered-by {
  color: #f9c600;
}
.mix-contain {
  width: 100%;
  display: flex;
  gap: 16px;
}
.trending-container {
  padding: 8px 24px 8px 24px;
  display: flex;
  gap: 38px;
  height: 294px;
  border-radius: var(--Radius-rounded, 8px);
  background: var(--muted-50, rgba(239, 239, 239, 0.5));
  position: relative;
}
.dark-design .trending-container {
  background: #1b1a1a;
}
.trending-container:hover {
  background: #e8e8e8;
}
.trending-img {
  display: flex;
  align-items: center;
  position: relative;
}
.trending-img img {
  width: 233px;
  height: 233px;
  border-radius: var(--Radius-rounded, 8px);
}
.trending-details {
  width: 197px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.dark-design .trending-container:hover {
  background: #272727;
}
.trend {
  color: #838383;
  font-size: var(--font-size-xs, 12px);
  font-style: normal;
  font-weight: var(--font-weight-normal, 400);
  line-height: var(--font-line-height-4, 16px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
}
.song-title {
  overflow: hidden;
  color: var(--foreground, #000);
  text-overflow: ellipsis;
  font-size: var(--font-size-2xl, 24px);
  font-style: normal;
  font-weight: var(--font-weight-medium, 500);
  line-height: var(--font-line-height-8, 32px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
}
.type {
  color: #838383;
  font-size: var(--font-size-sm, 14px);
  font-style: normal;
  font-weight: var(--font-weight-normal, 400);
  line-height: var(--font-line-height-5, 20px);
  letter-spacing: var(--font-letter-spacing-normal, 0px);
  margin-bottom: 38px;
}
.trend-btn {
  display: flex;
  padding: 8px 12px 8px 8px;
  align-items: center;
  gap: 8px;
  border-radius: var(--Radius-rounded-sm-max, 9999px);
  background: #f9c600;
  width: fit-content;
  border: none;
}
.trending-music p {
  height: 24px;
  overflow: hidden;
}
.trending-music-container {
  display: flex;
  overflow: auto;
  width: 100%;
  gap: 16px;
  scrollbar-width: none;
}
.dark-design .trending-music {
  background: #161616;
}
.trending-music {
  padding: 8px;
  border-radius: var(--Radius-rounded-md, 12px);
  background: var(--muted-50, rgba(239, 239, 239, 0.5));
}
.trending-music:hover {
  background: #e8e8e8;
}
.dark-design .trending-music:hover {
  background: #272727;
}
.trending-music:hover .music-play {
  bottom: -8px;
}
.trending-music img {
  width: 236px;
  height: 236px;
  border-radius: var(--Radius-rounded-md, 12px);
}
.pausle {
  display: none;
  width: 100%;
  height: 98%;
  z-index: 2;
  position: absolute;
  top: 0px;
  border-radius: var(--Radius-rounded, 8px);
  background: linear-gradient(
    0deg,
    rgba(0, 0, 0, 0.6) 0%,
    rgba(0, 0, 0, 0.6) 100%
  );

  justify-content: center;
  align-items: center;
}

.trend-btn .pause-icon {
  display: none;
}

.trend-btn.playing .play-icon {
  display: none;
}

.trend-btn.playing .pause-icon {
  display: inline;
}

.music-play {
  position: absolute;
  border-radius: var(--Radius-rounded-sm-max, 9999px);
  background: white;
  display: flex;
  width: 32px;
  height: 32px;
  justify-content: center;
  align-items: center;

  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1),
    0px 1px 2px 0px rgba(0, 0, 0, 0.06);
  z-index: 100;
  right: 8px;
  bottom: -10px;
}
.music-pause {
  position: absolute;
  border-radius: var(--Radius-rounded-sm-max, 9999px);
  background: white;
  display: flex;
  width: 32px;
  height: 32px;
  justify-content: center;
  align-items: center;

  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1),
    0px 1px 2px 0px rgba(0, 0, 0, 0.06);
  z-index: 100;
  right: 8px;
  bottom: -8px;
}

.music-item .music-pause,
.music-item .pausle {
  display: none;
}

.music-item.playing .music-play {
  display: none;
}

.music-item.playing .music-pause,
.music-item.playing .pausle {
  display: flex;
}

.trending-container-play {
  display: none;
}

@media screen and (max-width: 768px) {
  /* Initially show only play */
  .mixTopic {
    font-size: 16px;
  }
  .mixheader img {
    width: 40px;
    height: 40px;
  }
  .pausle {
    height: 97%;
  }
  .trending-container-play .pause-svg,
  .trending-container .pausle,
  .trend-btn .pause-icon {
    display: none;
  }
  .trending-container-play {
    display: block;
  }

  .trending-container.playing .pause-svg,
  .trending-container.playing .pausle,
  .trending-container.playing .pause-icon {
    display: flex;
  }

  .trending-container.playing .play-svg,
  .trending-container.playing .play-icon {
    display: none;
  }
  .play-svg {
    border-radius: var(--Radius-rounded-sm-max, 9999px);
    background: #f5c100;
    display: flex;
    width: 32px;
    height: 32px;
    justify-content: center;
    align-items: center;

    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1),
      0px 1px 2px 0px rgba(0, 0, 0, 0.06);
  }
  .pause-svg {
    border-radius: var(--Radius-rounded-sm-max, 9999px);
    background: white;
    display: flex;
    width: 32px;
    height: 32px;
    justify-content: center;
    align-items: center;

    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.1),
      0px 1px 2px 0px rgba(0, 0, 0, 0.06);
  }

  .trending-container-play {
    position: absolute;
    z-index: 100;
    right: 8px;
    bottom: 15px;
  }
  .trending-music {
    background: var(--muted-50, rgba(239, 239, 239, 0.5));
    padding-bottom: 8px;
  }
  .mix-container {
    width: 100%;
    margin-bottom: 31px;
  }
  .type {
    margin-bottom: 0px;
  }
  .mix-contain {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
  }
  .trending-container {
    padding: 8px 8px;
    gap: 16px;
    height: fit-content;
  }
  .trending-music-container {
    gap: 8px;
  }
  .trending-music {
    padding: 0px;
  }
  .trending-music .p {
    height: 20px;
    overflow: hidden;
  }

  .trend-btn {
    display: none;
  }
  .trending-music img {
    width: 145px;
    height: 145px;
  }
  .trending-img img {
    width: 111px;
    height: 110px;
  }
  .song-title {
    font-size: 16px;
  }
  .carousel-container {
    display: none;
  }
  .music-content img {
    width: 183px;
    height: 100px;
    border-radius: var(--Radius-rounded-sm, 6px);
  }
  .ads {
    height: 127px;
    align-self: stretch;
    margin-bottom: 32px;
  }
  /* .audio-container {
    margin-right: 16px;
    margin-left: 16px;
  } */

  .audio-adjustment {
    margin-right: 12px;
    margin-left: 12px;
  }

  label {
    text-align: justify;
    font-size: var(--font-size-lg, 18px);
    line-height: var(--font-line-height-7, 28px);
  }
  .block-audio-snippet-block label {
    margin-bottom: 16px;
  }
  .new-content-container {
    gap: 6px;
    margin-bottom: 32px;
  }
  .music-content,
  .new-content {
    padding: 0px;
  }
  .new-content img {
    width: 100px;
    height: 124px;
    border-radius: var(--Radius-rounded-sm, 6px);
  }
}

/* Maly voucher */
.header-container {
  margin-bottom: 20px;
  display: flex;
  gap: 16px;
  align-items: center;
  margin-left: 6px;
}
.headtopic {
  color: black;
  font-size: var(--font-size-xl, 20px);
  font-style: normal;
  font-weight: 600;
  line-height: var(--font-line-height-7, 28px); /* 140% */
  letter-spacing: var(--font-letter-spacing-normal, 0);
}
.dark-design .headtopic {
  color: #d9d9d9;
}
.vouchers-main-container {
  width: 100%;
  overflow: scroll;
  scrollbar-width: none;
  display: flex;

  margin-bottom: 52px;
}
.vouchers-sub-container {
  padding: 6px;
}
.vouchers-sub-container:hover {
  background: #e8e8e8;
  border-radius: 12px;
}
.dark-design .vouchers-sub-container:hover {
  background: #272727;
}
.vouchers-sub-container img {
  width: 215px;
  height: 157px;
  margin-bottom: 8px;
}
.vouchers-sub-container p {
  color: black;
  font-size: var(--font-size-base, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: var(--font-line-height-6, 24px);
  letter-spacing: var(--font-letter-spacing-normal, 0);
}
.dark-design .vouchers-sub-container p {
  color: white;
}
.headerimage img {
  width: 52px;
  height: 54px;
}
.sub-header {
  color: var(--muted-foreground, #838383);
  font-size: var(--font-size-sm, 14px);
  font-style: normal;
  font-weight: var(--font-weight-normal, 400);
  line-height: var(--font-line-height-5, 20px);
  letter-spacing: var(--font-letter-spacing-normal, 0);
}
.explor {
  margin-top: 6px;
  margin-left: 6px;
  border-radius: 6px;
  background: #f9c600;
  min-width: 215px;
  height: 157px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--primary-foreground, #000);
  gap: 10px;
  font-size: var(--font-size-sm, 14px);
  font-style: normal;
  font-weight: var(--font-weight-medium, 500);
  line-height: var(--font-line-height-5, 20px);
  letter-spacing: var(--font-letter-spacing-normal, 0);
}
@media screen and (max-width: 768px) {
  .explor {
    font-size: 11px;
    min-width: 116px;
    height: 84px;
    margin-top: 0px;
    margin-left: 0px;
  }
  .header-container {
    margin-bottom: 16px;
    gap: 8px;
    margin-left: 0px;
  }
  .headerimage img {
    width: 40px;
    height: 40px;
  }

  .vouchers-sub-container {
    padding: 0px;
  }

  .vouchers-sub-container p {
    font-size: var(--font-size-base, 14px);
  }
  .vouchers-sub-container img {
    width: 116px;
    height: 84px;
    aspect-ratio: 29 / 21;
    margin-bottom: 6px;
  }
  .vouchers-main-container {
    margin-bottom: 32px;
    gap: 6px;
  }
  .headtopic {
    padding: 0px;
    font-size: 16px;
  }
}

@media screen and (max-width: 480px) {
  .headtopic {
    font-size: 14px !important;
  }
}
